Package com.databend.jdbc.cloud

## Enum DatabendCopyParams.DatabendParams

- java.lang.Object
- - java.lang.Enum<DatabendCopyParams.DatabendParams>
  - - com.databend.jdbc.cloud.DatabendCopyParams.DatabendParams

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabendCopyParams.DatabendParams>`

Enclosing class:
  DatabendCopyParams

    public static enum DatabendCopyParams.DatabendParams
    extends Enum<DatabendCopyParams.DatabendParams>

### Enum Constant Summary

Enum Constants
`COMPRESSION`
`ESCAPE`
`FIELD_DELIMITER`
`FORCE`
`NAN_DISPLAY`
`ON_ERROR`
`PURGE`
`QUOTE`
`RECORD_DELIMITER`
`ROW_TAG`
`SIZE_LIMIT`
`SKIP_HEADER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `needQuote()`
`static DatabendCopyParams.DatabendParams` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DatabendCopyParams.DatabendParams[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RECORD_DELIMITER

    public static final DatabendCopyParams.DatabendParams RECORD_DELIMITER

#### FIELD_DELIMITER

    public static final DatabendCopyParams.DatabendParams FIELD_DELIMITER

#### SKIP_HEADER

    public static final DatabendCopyParams.DatabendParams SKIP_HEADER

#### QUOTE

    public static final DatabendCopyParams.DatabendParams QUOTE

#### ESCAPE

    public static final DatabendCopyParams.DatabendParams ESCAPE

#### NAN_DISPLAY

    public static final DatabendCopyParams.DatabendParams NAN_DISPLAY

#### ROW_TAG

    public static final DatabendCopyParams.DatabendParams ROW_TAG

#### COMPRESSION

    public static final DatabendCopyParams.DatabendParams COMPRESSION

#### SIZE_LIMIT

    public static final DatabendCopyParams.DatabendParams SIZE_LIMIT

#### PURGE

    public static final DatabendCopyParams.DatabendParams PURGE

#### FORCE

    public static final DatabendCopyParams.DatabendParams FORCE

#### ON_ERROR

    public static final DatabendCopyParams.DatabendParams ON_ERROR

### Method Detail

#### values

    public static DatabendCopyParams.DatabendParams[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabendCopyParams.DatabendParams c : DatabendCopyParams.DatabendParams.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabendCopyParams.DatabendParams valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### needQuote

    public boolean needQuote()